import Vue from 'vue'
import App from './App.vue'
import router from './router'
import BootstrapVue from 'bootstrap-vue'
import VueLogger from 'vuejs-logger';

Vue.use(VueLogger, {
    isEnabled: true,
    logLevel : ['debug', 'info', 'warn', 'error', 'fatal'].indexOf(process.env.VUE_APP_LOGLEVEL) === -1 ? 'warn' : process.env.VUE_APP_LOGLEVEL,
    stringifyArguments : false,
    showLogLevel : true,
    showMethodName : true,
    separator: '|',
    showConsoleColors: true
});

Vue.use(BootstrapVue)

Vue.config.productionTip = false

new Vue({
  router,
  render: h => h(App)
}).$mount('#app')
